Bug 1182808 (CVE-2020-35521)

Summary: VUL-1: CVE-2020-35521: tiff: Memory allocation failure in tif_read.c
Product: [Novell Products] SUSE Security Incidents Reporter: Alexandros Toptsoglou <atoptsoglou>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: IN_PROGRESS --- QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P4 - Low CC: smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/278593/
Whiteboard: CVSSv3.1:SUSE:CVE-2020-35521:4.4:(AV:L/AC:H/PR:L/UI:R/S:U/C:N/I:N/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexandros Toptsoglou 2021-02-26 16:26:15 UTC
CVE-2020-35521

A flaw was found in libtiff 4.1.0 and before. Due to a memory allocation failure in tif_read.c, a crafted TIFF file can lead to an abort, resulting in denial of service.

References:

https://gitlab.com/libtiff/libtiff/-/merge_requests/165
https://gitlab.com/libtiff/libtiff/-/commit/b5a935d96b21cda0f434230cdf8ca958cd8b4eef
Comment 1 Alexandros Toptsoglou 2021-02-26 16:26:59 UTC
Tracked SLE11,12 and 15 as affected
Comment 3 Michael Vetter 2022-02-02 14:11:11 UTC
submitted
Comment 5 Swamp Workflow Management 2022-02-17 17:18:55 UTC
openSUSE-SU-2022:0480-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1071031,1154365,1182808,1182809,1182811,1182812,1190312,1194539
CVE References: CVE-2017-17095,CVE-2019-17546,CVE-2020-19131,CVE-2020-35521,CVE-2020-35522,CVE-2020-35523,CVE-2020-35524,CVE-2022-22844
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    tiff-4.0.9-45.5.1
openSUSE Leap 15.3 (src):    tiff-4.0.9-45.5.1
Comment 6 Swamp Workflow Management 2022-02-17 17:22:41 UTC
SUSE-SU-2022:0480-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1071031,1154365,1182808,1182809,1182811,1182812,1190312,1194539
CVE References: CVE-2017-17095,CVE-2019-17546,CVE-2020-19131,CVE-2020-35521,CVE-2020-35522,CVE-2020-35523,CVE-2020-35524,CVE-2022-22844
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    tiff-4.0.9-45.5.1
SUSE Manager Retail Branch Server 4.1 (src):    tiff-4.0.9-45.5.1
SUSE Manager Proxy 4.1 (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Server for SAP 15 (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Server 15-LTSS (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    tiff-4.0.9-45.5.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    tiff-4.0.9-45.5.1
SUSE Enterprise Storage 7 (src):    tiff-4.0.9-45.5.1
SUSE Enterprise Storage 6 (src):    tiff-4.0.9-45.5.1
SUSE CaaS Platform 4.0 (src):    tiff-4.0.9-45.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-02-18 14:21:50 UTC
SUSE-SU-2022:14888-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1156749,1156754,1182808,1182809,1182811,1182812
CVE References: CVE-2015-8665,CVE-2015-8683,CVE-2020-35521,CVE-2020-35522,CVE-2020-35523,CVE-2020-35524
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    tiff-3.8.2-141.169.34.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    tiff-3.8.2-141.169.34.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    tiff-3.8.2-141.169.34.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    tiff-3.8.2-141.169.34.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-02-18 14:34:47 UTC
SUSE-SU-2022:0496-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1071031,1154365,1182808,1182809,1182811,1182812,1190312,1194539
CVE References: CVE-2017-17095,CVE-2019-17546,CVE-2020-19131,CVE-2020-35521,CVE-2020-35522,CVE-2020-35523,CVE-2020-35524,CVE-2022-22844
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    tiff-4.0.9-44.45.1
SUSE OpenStack Cloud Crowbar 8 (src):    tiff-4.0.9-44.45.1
SUSE OpenStack Cloud 9 (src):    tiff-4.0.9-44.45.1
SUSE OpenStack Cloud 8 (src):    tiff-4.0.9-44.45.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    tiff-4.0.9-44.45.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    tiff-4.0.9-44.45.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    tiff-4.0.9-44.45.1
SUSE Linux Enterprise Server 12-SP5 (src):    tiff-4.0.9-44.45.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    tiff-4.0.9-44.45.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    tiff-4.0.9-44.45.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    tiff-4.0.9-44.45.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    tiff-4.0.9-44.45.1
HPE Helion Openstack 8 (src):    tiff-4.0.9-44.45.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.